<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>GraphAnalysis</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.util, class: GraphAnalysis">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/GraphAnalysis.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.util</a></div>
<h1 title="Class GraphAnalysis" class="title">Class GraphAnalysis</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.ici.dataImporter.util.GraphAnalysis</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">GraphAnalysis</span>
extends java.lang.Object</pre>
<div class="block">Classes to provide basic explorations of the synthetic population generation processes</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">GraphAnalysis</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#analyseBuildingDistribution()">analyseBuildingDistribution</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#analyseBuildingDistribution(java.util.List,java.io.File,java.io.File,java.io.File)">analyseBuildingDistribution</a></span>&#8203;(java.util.List&lt;? extends <a href="../iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lb,
java.io.File&nbsp;inseeHousingStat,
java.io.File&nbsp;inseeHouseholdStat,
java.io.File&nbsp;outFolder)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#CompareIndividualByAgeToINSEEGrid(java.util.List,java.io.File,java.io.File)">CompareIndividualByAgeToINSEEGrid</a></span>&#8203;(java.util.List&lt;<a href="../iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;individuals,
java.io.File&nbsp;inseeGridFile,
java.io.File&nbsp;geoBound)</code></th>
<td class="col-last">
<div class="block">Compares a synthetic population generation with the INSEE's grid</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static org.geotools.feature.simple.SimpleFeatureBuilder</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getIRISDiffSFB()">getIRISDiffSFB</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#makeIrisDiff(org.geotools.data.simple.SimpleFeatureCollection,java.util.List,java.util.List,java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)">makeIrisDiff</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom,
java.util.List&lt;<a href="../iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lI,
java.util.List&lt;<a href="../iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lH,
java.util.List&lt;? extends <a href="../iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB,
java.io.File&nbsp;popInseeFile,
java.io.File&nbsp;householdInseeFile,
java.io.File&nbsp;housingInseeFile,
java.io.File&nbsp;outFile)</code></th>
<td class="col-last">
<div class="block">Count how many individuals are situated in IRISes regarding to INSEE's values and to the generation of a synthetic population</div>
</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>(package private) static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#roomLeftRobustness(boolean,java.io.File,java.io.File,java.io.File,int)">roomLeftRobustness</a></span>&#8203;(boolean&nbsp;simpleBuilding,
java.io.File&nbsp;apurFile,
java.io.File&nbsp;workingPlaceFile,
java.io.File&nbsp;poiFile,
int&nbsp;repl)</code></th>
<td class="col-last">
<div class="block">Calculate the robustness of the roomLeft value for various inner building modelization</div>
</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#runGridDiffAnalysis()">runGridDiffAnalysis</a></span>()</code></th>
<td class="col-last">
<div class="block">Compares results of multiple synthetic population generation with the INSEE's grid.</div>
</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#runIrisDiffParis()">runIrisDiffParis</a></span>()</code></th>
<td class="col-last">
<div class="block">Run <a href="#makeIrisDiff(org.geotools.data.simple.SimpleFeatureCollection,java.util.List,java.util.List,java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)"><code>makeIrisDiff(SimpleFeatureCollection, List, List, List, File, File, File, File)</code></a>  for regular ICI project data paths</div>
</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#runIrisDiffVeme()">runIrisDiffVeme</a></span>()</code></th>
<td class="col-last">
<div class="block">Run <a href="#makeIrisDiff(org.geotools.data.simple.SimpleFeatureCollection,java.util.List,java.util.List,java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)"><code>makeIrisDiff(SimpleFeatureCollection, List, List, List, File, File, File, File)</code></a> for regular ICI project data paths</div>
</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#sumHouseholdAndIndiv()">sumHouseholdAndIndiv</a></span>()</code></th>
<td class="col-last">
<div class="block">Compute the sum of household and household population from regular file's position.</div>
</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#sumHouseholdAndIndiv(java.io.File,java.io.File)">sumHouseholdAndIndiv</a></span>&#8203;(java.io.File&nbsp;householdFile,
java.io.File&nbsp;indivFile)</code></th>
<td class="col-last">
<div class="block">Compute the sum of household and household population.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>GraphAnalysis</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">GraphAnalysis</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="main(java.lang.String[])">
<h3>main</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">main</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;args)</span>
                 throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="analyseBuildingDistribution()">
<h3>analyseBuildingDistribution</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">analyseBuildingDistribution</span>()
                                        throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="analyseBuildingDistribution(java.util.List,java.io.File,java.io.File,java.io.File)">
<h3>analyseBuildingDistribution</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">analyseBuildingDistribution</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="../iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lb,
java.io.File&nbsp;inseeHousingStat,
java.io.File&nbsp;inseeHouseholdStat,
java.io.File&nbsp;outFolder)</span>
                                        throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="runIrisDiffParis()">
<h3>runIrisDiffParis</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">runIrisDiffParis</span>()
                             throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Run <a href="#makeIrisDiff(org.geotools.data.simple.SimpleFeatureCollection,java.util.List,java.util.List,java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)"><code>makeIrisDiff(SimpleFeatureCollection, List, List, List, File, File, File, File)</code></a>  for regular ICI project data paths</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading and writing .csv and geopackages</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="runIrisDiffVeme()">
<h3>runIrisDiffVeme</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">runIrisDiffVeme</span>()
                            throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Run <a href="#makeIrisDiff(org.geotools.data.simple.SimpleFeatureCollection,java.util.List,java.util.List,java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)"><code>makeIrisDiff(SimpleFeatureCollection, List, List, List, File, File, File, File)</code></a> for regular ICI project data paths</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading and writing .csv and geopackages</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="makeIrisDiff(org.geotools.data.simple.SimpleFeatureCollection,java.util.List,java.util.List,java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)">
<h3>makeIrisDiff</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">makeIrisDiff</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom,
java.util.List&lt;<a href="../iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lI,
java.util.List&lt;<a href="../iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lH,
java.util.List&lt;? extends <a href="../iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB,
java.io.File&nbsp;popInseeFile,
java.io.File&nbsp;householdInseeFile,
java.io.File&nbsp;housingInseeFile,
java.io.File&nbsp;outFile)</span>
                         throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Count how many individuals are situated in IRISes regarding to INSEE's values and to the generation of a synthetic population</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>irisGeom</code> - Geometry of IRISes</dd>
<dd><code>lI</code> - List of individuals generated by the <a href="../iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects"><code>Individual</code></a> class</dd>
<dd><code>popInseeFile</code> - csv file with INSEE's statistics about individual census</dd>
<dd><code>outFile</code> - geofile with IRIS difference</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - Writing geofile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getIRISDiffSFB()">
<h3>getIRISDiffSFB</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="member-name">getIRISDiffSFB</span>()</div>
</section>
</li>
<li>
<section class="detail" id="runGridDiffAnalysis()">
<h3>runGridDiffAnalysis</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">runGridDiffAnalysis</span>()
                                throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Compares results of multiple synthetic population generation with the INSEE's grid.
 Save the closest and the farthest populations</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - Reading and writing files</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="CompareIndividualByAgeToINSEEGrid(java.util.List,java.io.File,java.io.File)">
<h3>CompareIndividualByAgeToINSEEGrid</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">CompareIndividualByAgeToINSEEGrid</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="../iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;individuals,
java.io.File&nbsp;inseeGridFile,
java.io.File&nbsp;geoBound)</span>
                                             throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Compares a synthetic population generation with the INSEE's grid</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>individuals</code> - list of individual</dd>
<dd><code>inseeGridFile</code> - geofile containing insee's grids</dd>
<dd><code>geoBound</code> - geo file containing a mask geometry. can be null.</dd>
<dt>Returns:</dt>
<dd>absolute difference of individuals by ages</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading insee's geofile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="sumHouseholdAndIndiv()">
<h3>sumHouseholdAndIndiv</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">sumHouseholdAndIndiv</span>()
                                 throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Compute the sum of household and household population from regular file's position.
 Cost a lot because search Household for each individual to get a type, which is not directly in their attributes (only ID)</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading ICI files</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="sumHouseholdAndIndiv(java.io.File,java.io.File)">
<h3>sumHouseholdAndIndiv</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">sumHouseholdAndIndiv</span>&#8203;(<span class="parameters">java.io.File&nbsp;householdFile,
java.io.File&nbsp;indivFile)</span>
                                 throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Compute the sum of household and household population.
 Cost a lot because search Household for each individual to get a type, which is not directly in their attributes (only ID)</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>householdFile</code> - File containing ICI <a href="../iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects"><code>Household</code></a></dd>
<dd><code>indivFile</code> - File containing ICI <a href="../iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects"><code>Individual</code></a></dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading ICI files</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="roomLeftRobustness(boolean,java.io.File,java.io.File,java.io.File,int)">
<h3>roomLeftRobustness</h3>
<div class="member-signature"><span class="modifiers">static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">roomLeftRobustness</span>&#8203;(<span class="parameters">boolean&nbsp;simpleBuilding,
java.io.File&nbsp;apurFile,
java.io.File&nbsp;workingPlaceFile,
java.io.File&nbsp;poiFile,
int&nbsp;repl)</span>
                        throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Calculate the robustness of the roomLeft value for various inner building modelization</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - on import or export building geofiles</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/GraphAnalysis.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
